=== src/Makefile ===
TARGET = chg
SRCS = chg.c hgclient.c misc.c util.c
OBJS = $(SRCS:.c=.o)

CFLAGS ?= -O2 -Wall -Wextra -pedantic -g
override CFLAGS += -std=gnu99

.PHONY: all
all: $(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

chg.o: hgclient.h misc.h util.h
hgclient.o: hgclient.h util.h
misc.o: hgclient.h misc.h util.h
util.o: util.h

.PHONY: clean
clean:
	$(RM) $(OBJS)
