=== debian/control ===
Source: mercurial-chg
Section: vcs
Priority: optional
Maintainer: Yuya Nishihara <yuya@tcha.org>
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
Standards-Version: 3.9.4
Vcs-Hg: http://bitbucket.org/yuja/chg/
Vcs-Browser: http://bitbucket.org/yuja/chg/

Package: mercurial-chg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 mercurial (>= 3.0)
Description: Fast Mercurial CLI with background cmdserver
 This provides chg command as a replacement for pure hg executable.
 .
 By using background hg command server, cHg reduces the overhead of
 loading Python modules on each request.
